//*****************************************
//*****************************************
// Numitron(IV-9) Clock Program Mega328
// CPU Clock:8MHz
//   iq[Yf[^@UWlgɂj
//
// file name: port_bit.h
//  wb_[t@C
//
//  2016/10/23  New(TAB4)  Taishi
//*****************************************

#define			SW_RIGHT	(1 << PIND4)		// EXCb`(SET)
#define			SW_LEFT		(1 << PIND3)		// XCb`(SELECT)

// EXCb`̑ԁiTrbgj
#define			SWR_ON_NOW			0x0001		// EXCb`ꂽB
#define			SWR_OFF_SHORT		0x0002		// EXCb`ꂽBĂԂ͒Z
#define			SWR_OFF_LONG		0x0003		// EXCb`ꂽBĂԂ͒
#define			SWR_ON_CONTINUE		0x0004		// EXCb`ꑱĂBi莞ԊԊuł̒lxoj
#define			SWR_ON				0x0010		// EXCb`ꑱĂBiĂ鎞͂̒loj
#define			SWR_MASK			0x001f		// EXCb`̐M𒊏o

// XCb`̑ԁiTrbgj
#define			SWL_ON_NOW			0x0100		// XCb`ꂽB
#define			SWL_OFF_SHORT		0x0200		// XCb`ꂽBĂԂ͒Z
#define			SWL_OFF_LONG		0x0300		// XCb`ꂽBĂԂ͒
#define			SWL_ON_CONTINUE		0x0400		// XCb`ꑱĂBi莞ԊԊuł̒lxoj
#define			SWL_ON				0x1000		// XCb`ꑱĂBiĂ鎞͂̒loj
#define			SWL_MASK			0x1f00		// XCb`̐M𒊏o

extern	unsigned char	sw[4];					// SW[1] Ɍ݂̏ԁAĂ镨'1'̏ԁA SW[2] ɉꂽuԂ'1'̏ԁA SW[3] ɗꂽuԂ'1'̏

extern	void			sw_init(void);
extern	void			get_sw(void);
extern	unsigned short	get_action_sw(void);
extern	void			wait_key_off(void);
extern	void			wait_sw_off(void);

extern	void			led_init(void);
extern	void			led3_on_off(unsigned char on);
extern	void			led2_on_off(unsigned char on);
